Skip to main content
GET
/
variable
List variables
curl --request GET \
  --url https://api.qovery.com/variable \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "key": "<string>",
      "value": "<string>",
      "scope": "APPLICATION",
      "variable_type": "VALUE",
      "is_secret": true,
      "updated_at": "2023-11-07T05:31:56Z",
      "mount_path": "<string>",
      "overridden_variable": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "<string>",
        "mount_path": "<string>",
        "scope": "APPLICATION",
        "variable_type": "VALUE",
        "value": "<string>"
      },
      "aliased_variable": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "key": "DATABASE_PSQL_NAME",
        "mount_path": "<string>",
        "scope": "APPLICATION",
        "variable_type": "VALUE",
        "value": "<string>"
      },
      "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "service_name": "<string>",
      "service_type": "APPLICATION",
      "owned_by": "<string>",
      "description": "<string>",
      "enable_interpolation_in_file": true,
      "secret_manager_access_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-ai-use-cases-highlight.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Query Parameters

parent_id
string<uuid>
required

it filters the list by returning only the variables accessible by the selected parent_id. This field shall contain the id of a project, environment or service depending on the selected scope. Example, if scope = APPLICATION and parent_id=<application_id>, the result will contain any variable accessible by the application. The result will contain also any variable declared at an higher scope.

scope
enum<string>
required

the type of the parent_id (application, project, environment etc..).

Available options:
APPLICATION,
BUILT_IN,
ENVIRONMENT,
PROJECT,
CONTAINER,
JOB,
HELM,
TERRAFORM
is_secret
boolean | null

it filters the list by returning only the variables of type secret or not

Response

List variables

results
object[]